       subroutine qcalc2(a,b,c,xi,flam,f)
*
* this version is called by the plasma routine, which has a new a^3 term
*
       implicit double precision (a-h,o-z)

       dimension a(0:3),b(3)
       top=(a(0)+a(1)*xi+a(2)*(xi**2.)+a(3)*(xi**3.))*dexp(-c*xi)	
       bottom=(xi**3.)+(b(1)/flam)+(b(2)/(flam**2))+(b(3)/(flam**3))
       f=top/bottom

       return
       end

************************************************************************

